# DACreate

Creates an object that will manage the communication of regular array data that is distributed across some processors in 1, 2 or 3 dimensions

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DACreate(MPI_Comm comm,PetscInt dim,DAPeriodicType wrap,DAStencilType stencil_type,PetscInt M,
             PetscInt N,PetscInt P,PetscInt m,PetscInt n,PetscInt p,PetscInt dof,PetscInt s,PetscInt *lx,PetscInt *ly,PetscInt *lz,DA *inra)

Collective on MPI_Comm

See the manual pages for the routines for each dimension.

### Keywords

distributed array, create, three-dimensional

### See Also

DACreate1d(), DACreate2d(), DACreate3d()

Level:beginner
Location: src/dm/da/src/da3.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages